Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2076 closed defect (fixed)

SMC91111 fixes for mpc55xxevb BSP

Reported by: dufault Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@… Blocked By:
Blocking:

Description

  • A typo prevents if_smc.c from being built when configured;
  • The argument passed to the interrupt handler was incorrect and the addition of support for RTEMS_INTERRUPT_SHARED exposed it;
  • A "#ifdef DEBUG" is supposed to be "#if DEBUG" since 0 is supposed to make it quiet.

Attachments (1)

smc.diff (2.0 KB) - added by dufault on 09/29/12 at 10:41:12.
Fixes for SMC91111 for MPC55XXEVB

Download all attachments as: .zip

Change History (3)

Changed on 09/29/12 at 10:41:12 by dufault

Attachment: smc.diff added

Fixes for SMC91111 for MPC55XXEVB

comment:1 Changed on 10/02/12 at 12:29:03 by Sebastian Huber

Resolution: fixed
Status: newclosed, sebastian.huber@embedded-brains.de

comment:2 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.